#
# Conditional build:
%bcond_without  tests   # unit/functional tests
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module
#
%define		module	ply
Summary:	Python 2 Lex-Yacc
Summary(pl.UTF-8):	lex i yacc dla Pythona 2
Name:		python-%{module}
Version:	3.11
Release:	2
License:	BSD
Group:		Libraries/Python
Source0:	http://www.dabeaz.com/ply/ply-%{version}.tar.gz
# Source0-md5:	6465f602e656455affcd7c5734c638f8
URL:		http://www.dabeaz.com/ply/
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python3}
BuildRequires:	python >= 1:2.7
%if %{with tests}
BuildRequires:	python-setuptools
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.2
%if %{with tests}
BuildRequires:	python3-setuptools
%endif
%endif
Requires:	python-modules >= 1:2.7
Obsoletes:	ply
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PLY is yet another implementation of lex and yacc for Python. Although
several other parsing tools are available for Python, there are
several reasons why you might want to take a look at PLY:
- It uses LR-parsing which is reasonably efficient and well suited for
  larger grammars.
- PLY provides most of the standard lex/yacc features including
  support for empty productions, precedence rules, error recovery, and
  support for ambiguous grammars.
- PLY is extremely easy to use and provides very extensive error
  checking.

%description -l pl.UTF-8
PLY to kolejna implementacja narzędzi lex i yacc dla Pythona. Mimo iż
istnieje kilka innych analizatorów dla Pythona, to istnieje kilka
powodów, dla których można zainteresować się PLY:
- Używa on analizy LR, która jest w miarę wydajna i dość dobra dla
  większych gramatyk.
- Udostępnia większość możliwości standardowych lex/yacc, w tym
  obsługę pustych produkcji, reguł poprzedzania, rekompensowania błędów
  oraz obsługę niejednoznacznych gramatyk.
- Jest niezwykle łatwy w użyciu oraz zapewnia rozległą kontrolę
  błędów.

%package -n python3-%{module}
Summary:	Python 3 Lex-Yacc
Summary(pl.UTF-8):	lex i yacc dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
PLY is yet another implementation of lex and yacc for Python. Although
several other parsing tools are available for Python, there are
several reasons why you might want to take a look at PLY:
- It uses LR-parsing which is reasonably efficient and well suited for
  larger grammars.
- PLY provides most of the standard lex/yacc features including
  support for empty productions, precedence rules, error recovery, and
  support for ambiguous grammars.
- PLY is extremely easy to use and provides very extensive error
  checking.

%description -n python3-%{module} -l pl.UTF-8
PLY to kolejna implementacja narzędzi lex i yacc dla Pythona. Mimo iż
istnieje kilka innych analizatorów dla Pythona, to istnieje kilka
powodów, dla których można zainteresować się PLY:
- Używa on analizy LR, która jest w miarę wydajna i dość dobra dla
  większych gramatyk.
- Udostępnia większość możliwości standardowych lex/yacc, w tym
  obsługę pustych produkcji, reguł poprzedzania, rekompensowania błędów
  oraz obsługę niejednoznacznych gramatyk.
- Jest niezwykle łatwy w użyciu oraz zapewnia rozległą kontrolę
  błędów.

%package examples
Summary:	Python Lex-Yacc - examples
Summary(pl.UTF-8):	lex i yacc dla Pythona - przykłady
Group:		Development/Languages/Python

%description examples
Python Lex-Yacc - examples.

%description examples -l pl.UTF-8
lex i yacc dla Pythona - przykłady.

%prep
%setup -q -n %{module}-%{version}

%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%py_install
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

cp -Rf example/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README.md TODO doc/*.html
%dir %{py_sitescriptdir}/ply
%{py_sitescriptdir}/ply/*.py[co]
%{py_sitescriptdir}/ply-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES README.md TODO doc/*.html
%{py3_sitescriptdir}/ply
%{py3_sitescriptdir}/ply-%{version}-py*.egg-info
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Dec 14 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-ply.git;a=log;h=master

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 58b9edf
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Jul 23 2018 Jakub Bogusz <qboosh@pld-linux.org> e2e08d8
- updated to 3.11

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2072e8b
- release 2 (by relup.sh)

* Tue Nov 07 2017 Marcin Krol <hawk@tld-linux.org> 96549a9
- updated to 3.10

* Thu Jan 12 2017 Jakub Bogusz <qboosh@pld-linux.org> 820e97e
- test target BRs setuptools

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1486571
- python 3.6
- release 2 (by relup.sh)

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 4633208
- updated to 3.9

* Fri Jul 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d10e53f
- up to 3.8; add python3 module

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a210710
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7b0aff9
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 86533d3
- automatic change: use py_build/py_install macros

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 6941758
- rebuild for fixed python eggs
- release 3 (by relup.sh)

* Tue Mar 13 2012 Jakub Bogusz <qboosh@pld-linux.org> a379571
- better pl desc
- package egg-info properly
- License is BSD
- release 2

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 6a3abe1
- release 1

* Fri Jun 10 2011 zbyniu <zbyniu@pld-linux.org> 2d5c865
- up to 3.4

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4cc07d8
- drop obsolete files

* Thu Apr 02 2009 duddits <duddits@pld-linux.org> e11280e
- up to 3.2

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 830679c
- up to 3.1
- cleaning
- %files

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e93c130
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 266bc3e
- converted to UTF-8

